//+------------------------------------------------------------------+
//|                                         TREND_alexcud v_2MEn.mq4 |
//|                             Copyright  2007, Aleksander Kudimov |
//|                                           alexcud@rambler.ru  ki |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, Aleksander Kudimov"
#property link      "alexcud@rambler.ru"

#property indicator_separate_window

#property indicator_minimum 0
#property indicator_maximum 1

#property indicator_buffers 2
#property indicator_color1 Black
#property indicator_color2 Red

//---- buffers
double UPBuffer[];
double DOWNBuffer[];


//=================================================================//
extern  string                Section_1           =                  "======== General Settings";
extern  double                overPerc            = 60;             // Percentage for alert
extern  bool                  AlertsOn            = false;          // Alerting 
extern  bool                  AlertsMessage       = false;          // Show alert message
extern  bool                  AlertsSound         = false;          // Play alert sound
extern  bool                  AlertsEmail         = false;          // Send email message
extern  string                Section_2           =                  "======== MA Settings";
extern  int                   MAperiod            = 1;              // MA period
extern  int                   MAmode              = 0;              // MA mode
extern  int                   MAprice             = 0;              // MA price
extern  int                   MAshift             = 0;              // MA shift
extern  string                Section_3           =                  "======== ZZ Settings";
extern  int                   ExtDepth1           = 12;             // zigzag period1



//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+


       color                 coZZv1;

       string                ZZv1, 
                             
                             short_name          ="zz signal";   

       double                
                             ma,
                             
                             zz1l, 
                             
                             zz1h,  

                             Uzz1, 

                             Dzz1;
                               
int init()
  {

   SetIndexBuffer(0,UPBuffer);
   SetIndexBuffer(1,DOWNBuffer);

   

//----
   return(0);
  }
  
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
  
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
  
   
   ObjectCreate("zz1", OBJ_LABEL, WindowFind(short_name), 0, 0); 
   ObjectSet   ("zz1", OBJPROP_XDISTANCE, 50);  
   ObjectSet   ("zz1", OBJPROP_YDISTANCE, 15);
  
  
  ma       = iMA(Symbol(), 0, MAperiod, MAshift, MAmode, MAprice,0); 

  zz1l     = iCustom(Symbol(),0,"ZigZag_AutoChannel_1_3",ExtDepth1,2,0);
  zz1h     = iCustom(Symbol(),0,"ZigZag_AutoChannel_1_3",ExtDepth1,3,0);
  
  double zz1l=ObjectGet("trend_1", OBJPROP_PRICE1);
  double zz1h=ObjectGet("trend_2", OBJPROP_PRICE2);

 
   if      (ma <  zz1l)  {  ZZv1 = " V ";   coZZv1 = Red;          Uzz1 = 0;  Dzz1 = 1; }
   else if (ma >  zz1h)  {  ZZv1 = " /\\ "; coZZv1 = RoyalBlue;    Uzz1 = 1;  Dzz1 = 0; } 
   else                  {  ZZv1 = " 0 ";   coZZv1 = Yellow;       Uzz1 = 0;  Dzz1 = 0; } 
   
    
   
   
             ObjectSetText("zz1",  ZZv1  ,11, "Verdana", coZZv1  );
             
              
  
   double  utot =Uzz1 *100,
           dtot =Dzz1 *100;

  string utxtall;
  string dtxtall;
  if (utot > overPerc) {utxtall = "Arial Black"; dtxtall = "Arial";}
  else {utxtall = "Arial"; dtxtall = "Arial";}
  if (dtot > overPerc) {utxtall = "Arial"; dtxtall = "Arial Black";}
  else {utxtall = "Arial"; dtxtall = "Arial";}  


    
  string utxttot;
  string dtxttot;
  if (utot > overPerc) {utxttot = "Arial Black"; dtxttot = "Arial";}
  else {utxttot = "Arial"; dtxttot = "Arial";}
  if (dtot > overPerc) {utxttot = "Arial"; dtxttot = "Arial Black";}
  else {utxttot = "Arial"; dtxttot = "Arial";}  

  
  ObjectCreate("utot", OBJ_LABEL, WindowFind(short_name), 0, 0);
  ObjectSetText("utot", StringConcatenate(utot, "%"),14, utxttot, Blue );
  ObjectSet("utot", OBJPROP_XDISTANCE, 850);  
  ObjectSet("utot", OBJPROP_YDISTANCE, 50);  

  
  ObjectCreate("dtot", OBJ_LABEL, WindowFind(short_name), 0, 0);
  ObjectSetText("dtot", StringConcatenate(dtot, "%"),14, dtxttot, Red );
  ObjectSet("dtot", OBJPROP_XDISTANCE, 950);  
  ObjectSet("dtot", OBJPROP_YDISTANCE, 50); 
  

   return(0);
  }
//+------------------------------------------------------------------+
   
  